<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('go_agent_price', function (Blueprint $table) {
            $table->id();
            $table->text('title')->comment('描述');
            $table->text('script')->nullable()->comment('脚本');
            $table->tinyInteger('is_online')->default(1)->comment('1:测试,2正式');
            $table->text('test_user_ids')->nullable()->comment('测试用户列表,格式=,2,3,65,');
            $table->timestamps();
        });
        // 添加表备注
        \Illuminate\Support\Facades\DB::statement("ALTER TABLE `ufutx_go_agent_price` COMMENT = 'go项目计价脚本数据'");
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('go_agent_price');
    }
};
